package com.bernard.greposimu.model.simulator.command;

import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.game.units.Unit;

public class RecruitCommand extends TownCommand{

	Unit unit;
	int count;
	
	public RecruitCommand(int town, Resources need, Unit unit, int count) {
		this.town = town;
		this.need = need;
		this.unit = unit;
		this.count = count;
	}
	
	@Override
	public String toString() {
		return "[%d] Recruit %d %s".formatted(this.town,this.count, this.unit.getName());
	}
	
}
